
body{
    display: flex;
    flex-direction: column;
    /*background-color: rgb(25, 25, 112);*/
    /*background-image: url(https://c.tenor.com/XmSnrVtCcAIAAAAd/planet-rotating.gif);
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    margin: auto;*/
    color: black;   
    
}
.part{
    display: flex;
    flex-direction: row;
    
    justify-content: space-between;
}
#center{
    margin-left: 300px;
}
#presentation{
    border-bottom-left-radius: 10px;
}
#eventAstro{
    border-bottom-right-radius: 10px;
    border-right: none;
}
#bot{
    min-height: 500px;
    margin-top: 120px;
    z-index: 1;
}
#agenda{
    height: 250px;
    width: 300px;
    background-color: #191925;
    color: #1096d1;
    position: fixed;
}
#deroulant{
    height: 250px;
    width: 500px;
}
#reste{
    height: 250px;
    width: 500px;
}
#event{
    height: 300px;
    width: 300px;
    position: fixed;
    margin-top: 300px;
}
#right{
    height: 300px;
    width: 300px;
}
#left{
    display: flex;
    flex-direction: column;
}
#news{
    background-color: grey;
    color: white;
    border-radius: 10px;
    height: 300px;
    position: fixed;
    width: 260px;
}
#news1{
    background-color: black;
    border-radius: 10px;
    margin-top: 5px;
    
}
.newspart{
    border-bottom: solid black;
    min-height: 50px;
}

#bot{
  color: black;
}

#h2{
  color:#191925;
}
#ephemeride{
  color: black;
}
#map{
    height: 300px;
    width: 300px;
    position: fixed;
    margin-top: 300px;

}

#mapContainer{
  border-radius: 10px;
}

.block-body {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.block-row {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 2px;
    height: fit-content;
}

.block-block {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color : white;
    border-radius: 3px;
    border: rgb(138, 138, 138) solid;
    width: 30%;
    margin: 2%;
    height: 225px;
}


#sun{
    background-image: url(./img/sun/2021/solanimc1240421.gif);
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

#moon{
    background-image: url(./img/sun/2021/soleil260521.jpg);    
    background-size: cover;
    /* background-position: right -100px top; */  
}

#comet{
    background-image: url(./img/sun/2021/sol240421.jpg);
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

#planet{
    background-image: url(./img/sun/evolutiontaches.jpg);
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    width: 900px;
}

#galaxy{
    background-image: url(./img/galerie\ sheet/galaxy.jpg);
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

#nebula{
    background-image: url(./img/galerie\ sheet/nebula.jpg);
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}


#amasetoiles{
    background-image: url(./img/sun/2012/protu300412.jpg);
    background-size:cover;
}

#etoilesdoubles{
    background-image: url(./img/sun/2012/sol280712.jpg);
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover; 
}


#eclipselune{
    background-image: url(./img/sun/2012/sol220412.jpg);
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover; 
}

#eclipsesoleil{
    background-image: url(./img/sun/2009/sol50409.jpg);
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover; 
}

#phenomenes{
    background-image: url(./img/sun/2009/sol270909.jpg);
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover; 
}


.block-text{
    display: flex;
    flex-direction: column;    
    justify-content: center;
    align-items: center;
    color: white;
    font-size: 20px;
    text-align: center;
    background-color:  rgb(220, 118, 51);
    width: 33%;
    opacity: 0.95;
}

.block-plus{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    color: white;
    background-color: grey;
    padding: 5px 10px;
    width: 9%; 
    opacity: 0.65;
    transition: 1s;

}

.block-plus:hover{
    width: 65%;
    padding-right: 10px;
}
.block-plus:hover .text-hover{
    display: block;
    text-align: center;
    width: 50%;
}   

.text-hover{
    display: none;
}

.icon {
    width: 35px;
    height: 35px;
    padding-left: 20%;
}
.block-row2{
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 2px;
    height: fit-content;
    color: white;
}